net.minecraft.entity.item

## Class EntityMinecartContainer

- java.lang.Object
- - net.minecraft.entity.Entity
  - - net.minecraft.entity.item.EntityMinecart
    - - net.minecraft.entity.item.EntityMinecartContainer

- All Implemented Interfaces:
    IInventory
  Direct Known Subclasses:
    EntityMinecartChest, EntityMinecartHopper

      public abstract class EntityMinecartContainer
      extends EntityMinecart
      implements IInventory

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class net.minecraft.entity.Entity

      `Entity.EnumEntitySize`

  - ### Field Summary

    - ### Fields inherited from class net.minecraft.entity.item.EntityMinecart

      `canBePushed, canUseRail, defaultDragAir, defaultMaxSpeedAirLateral, defaultMaxSpeedAirVertical, dragAir, maxSpeedAirLateral, maxSpeedAirVertical`

    - ### Fields inherited from class net.minecraft.entity.Entity

      `addedToChunk, boundingBox, capturedDrops, captureDrops, chunkCoordX, chunkCoordY, chunkCoordZ, dataWatcher, dimension, distanceWalkedModified, distanceWalkedOnStepModified, entityCollisionReduction, entityUniqueID, extendedProperties, fallDistance, field_70135_K, fireResistance, forceSpawn, height, hurtResistantTime, ignoreFrustumCheck, inPortal, inWater, isAirBorne, isCollided, isCollidedHorizontally, isCollidedVertically, isDead, isImmuneToFire, isInWeb, lastTickPosX, lastTickPosY, lastTickPosZ, motionX, motionY, motionZ, myEntitySize, noClip, onGround, portalCounter, posX, posY, posZ, prevDistanceWalkedModified, preventEntitySpawning, prevPosX, prevPosY, prevPosZ, prevRotationPitch, prevRotationYaw, rand, renderDistanceWeight, riddenByEntity, ridingEntity, rotationPitch, rotationYaw, serverPosX, serverPosY, serverPosZ, stepHeight, teleportDirection, ticksExisted, timeUntilPortal, velocityChanged, width, worldObj, yOffset, ySize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `EntityMinecartContainer(World par1World)`
    `EntityMinecartContainer(World par1World, double par2, double par4, double par6)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `applyDrag()`
    `void` | `closeInventory()`
    `ItemStack` | `decrStackSize(int par1, int par2)`
    `java.lang.String` | `getInventoryName()`
    `int` | `getInventoryStackLimit()`
    `ItemStack` | `getStackInSlot(int par1)`
    `ItemStack` | `getStackInSlotOnClosing(int par1)`
    `boolean` | `interactFirst(EntityPlayer par1EntityPlayer)`
    `boolean` | `isItemValidForSlot(int par1, ItemStack par2ItemStack)`
    `boolean` | `isUseableByPlayer(EntityPlayer par1EntityPlayer)`
    `void` | `killMinecart(DamageSource par1DamageSource)`
    `void` | `markDirty()`
    `void` | `openInventory()`
    `protected void` | `readEntityFromNBT(NBTTagCompound par1NBTTagCompound)`
    `void` | `setDead()`
    `void` | `setInventorySlotContents(int par1, ItemStack par2ItemStack)`
    `void` | `travelToDimension(int par1)`
    `protected void` | `writeEntityToNBT(NBTTagCompound par1NBTTagCompound)`

    - ### Methods inherited from class net.minecraft.entity.item.EntityMinecart

      `applyEntityCollision, attackEntityFrom, canBeCollidedWith, canBePushed, canBeRidden, canTriggerWalking, canUseRail, createMinecart, entityInit, func_145817_o, func_145819_k, func_145820_n, func_145821_a, func_70489_a, func_70495_a, func_94088_b, func_95999_t, getBoundingBox, getCartItem, getCollisionBox, getCollisionHandler, getCommandSenderName, getCurrentCartSpeedCapOnRail, getDamage, getDefaultDisplayTileData, getDefaultDisplayTileOffset, getDisplayTileData, getDisplayTileOffset, getDragAir, getMaxCartSpeedOnRail, getMaxSpeedAirLateral, getMaxSpeedAirVertical, getMinecartType, getMountedYOffset, getRollingAmplitude, getRollingDirection, getShadowSize, getSlopeAdjustment, hasCustomInventoryName, hasDisplayTile, isPoweredCart, moveMinecartOnRail, onActivatorRailPass, onUpdate, performHurtAnimation, setCanUseRail, setCollisionHandler, setCurrentCartSpeedCapOnRail, setDamage, setDisplayTileData, setDisplayTileOffset, setDragAir, setHasDisplayTile, setMaxSpeedAirLateral, setMaxSpeedAirVertical, setMinecartName, setPositionAndRotation2, setRollingAmplitude, setRollingDirection, setVelocity, shouldDoRailFunctions`

    - ### Methods inherited from class net.minecraft.entity.Entity

      `addEntityCrashInfo, addToPlayerScore, addVelocity, canAttackWithItem, canRenderOnFire, canRiderInteract, copyDataFrom, copyLocationAndAnglesFrom, dealFireDamage, doesEntityNotTriggerPressurePlate, dropItem, entityDropItem, equals, extinguish, fall, func_145748_c_, func_145771_j, func_145772_a, func_145774_a, func_145775_I, func_145778_a, func_145780_a, func_145781_i, getAir, getBrightness, getBrightnessForRender, getCollisionBorderSize, getDataWatcher, getDistance, getDistanceSq, getDistanceSqToEntity, getDistanceToEntity, getEntityData, getEntityId, getEntityString, getExtendedProperties, getEyeHeight, getFlag, getLastActiveItems, getLookVec, getMaxInPortalTime, getMaxSafePointTries, getParts, getPersistentID, getPickedResult, getPortalCooldown, getRotationYawHead, getSplashSound, getSwimSound, getTeleportDirection, getUniqueID, getYOffset, handleHealthUpdate, handleLavaMovement, handleWaterMovement, hashCode, hitByEntity, isBurning, isCreatureType, isEating, isEntityAlive, isEntityEqual, isEntityInsideOpaqueBlock, isEntityInvulnerable, isImmuneToFire, isInRangeToRender3d, isInRangeToRenderDist, isInsideOfMaterial, isInvisible, isInvisibleToPlayer, isInWater, isOffsetPositionInLiquid, isPushedByWater, isRiding, isSneaking, isSprinting, isWet, kill, mountEntity, moveEntity, moveFlying, newDoubleNBTList, newFloatNBTList, onChunkLoad, onCollideWithPlayer, onEntityUpdate, onKillEntity, onStruckByLightning, playSound, preparePlayerToSpawn, readFromNBT, registerExtendedProperties, resetEntityId, setAir, setAngles, setBeenAttacked, setCurrentItemOrArmor, setEating, setEntityId, setFire, setFlag, setInPortal, setInvisible, setInWeb, setLocationAndAngles, setOnFireFromLava, setPosition, setPositionAndRotation, setRotation, setRotationYawHead, setSize, setSneaking, setSprinting, setWorld, shouldDismountInWater, shouldRenderInPass, shouldRiderSit, shouldSetPosAfterLoading, toString, updateFallState, updateRidden, updateRiderPosition, writeMountToNBT, writeToNBT, writeToNBTOptional`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface net.minecraft.inventory.IInventory

      `getSizeInventory, hasCustomInventoryName`

- - ### Constructor Detail

    - #### EntityMinecartContainer

          public EntityMinecartContainer(World par1World)

    - #### EntityMinecartContainer

          public EntityMinecartContainer(World par1World,
                                 double par2,
                                 double par4,
                                 double par6)

  - ### Method Detail

    - #### killMinecart

          public void killMinecart(DamageSource par1DamageSource)

      Overrides:
        `killMinecart` in class `EntityMinecart`

    - #### getStackInSlot

          public ItemStack getStackInSlot(int par1)

      Specified by:
        `getStackInSlot` in interface `IInventory`

    - #### decrStackSize

          public ItemStack decrStackSize(int par1,
                                int par2)

      Specified by:
        `decrStackSize` in interface `IInventory`

    - #### getStackInSlotOnClosing

          public ItemStack getStackInSlotOnClosing(int par1)

      Specified by:
        `getStackInSlotOnClosing` in interface `IInventory`

    - #### setInventorySlotContents

          public void setInventorySlotContents(int par1,
                                      ItemStack par2ItemStack)

      Specified by:
        `setInventorySlotContents` in interface `IInventory`

    - #### markDirty

          public void markDirty()

      Specified by:
        `markDirty` in interface `IInventory`

    - #### isUseableByPlayer

          public boolean isUseableByPlayer(EntityPlayer par1EntityPlayer)

      Specified by:
        `isUseableByPlayer` in interface `IInventory`

    - #### openInventory

          public void openInventory()

      Specified by:
        `openInventory` in interface `IInventory`

    - #### closeInventory

          public void closeInventory()

      Specified by:
        `closeInventory` in interface `IInventory`

    - #### isItemValidForSlot

          public boolean isItemValidForSlot(int par1,
                                   ItemStack par2ItemStack)

      Specified by:
        `isItemValidForSlot` in interface `IInventory`

    - #### getInventoryName

          public java.lang.String getInventoryName()

      Specified by:
        `getInventoryName` in interface `IInventory`

    - #### getInventoryStackLimit

          public int getInventoryStackLimit()

      Specified by:
        `getInventoryStackLimit` in interface `IInventory`

    - #### travelToDimension

          public void travelToDimension(int par1)

      Overrides:
        `travelToDimension` in class `Entity`

    - #### setDead

          public void setDead()

      Overrides:
        `setDead` in class `EntityMinecart`

    - #### writeEntityToNBT

          protected void writeEntityToNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `writeEntityToNBT` in class `EntityMinecart`

    - #### readEntityFromNBT

          protected void readEntityFromNBT(NBTTagCompound par1NBTTagCompound)

      Overrides:
        `readEntityFromNBT` in class `EntityMinecart`

    - #### interactFirst

          public boolean interactFirst(EntityPlayer par1EntityPlayer)

      Overrides:
        `interactFirst` in class `Entity`

    - #### applyDrag

          protected void applyDrag()

      Overrides:
        `applyDrag` in class `EntityMinecart`